Std Redo/ro: Difference between revisions

From FreeCAD Documentation
(Created page with "==Utilizare== #Click on 32px or choose {{KEY| Edit}} → {{KEY|32px Redo}} from the top menu.")
No edit summary
 
(18 intermediate revisions by 2 users not shown)
Line 1: Line 1:
<languages/>
<languages/>

{{Docnav
|[[Std_Undo|Undo]]
|[[Std_Cut|Cut]]
|[[Std_Edit_Menu|Std Edit Menu]]
|IconL=Std_Undo.svg
|IconR=Std_Cut.svg
|IconC=Freecad.svg
}}

<div class="mw-translate-fuzzy">
{{GuiCommand|Name=Std Redo|MenuLocation=[[Std_Edit_Menu|Edit]] → Redo‏‎||Workbenches=All|Shortcut=Maiusc+Ctrl+Z|SeeAlso=[[Std_Undo|Undo]]}}
{{GuiCommand|Name=Std Redo|MenuLocation=[[Std_Edit_Menu|Edit]] → Redo‏‎||Workbenches=All|Shortcut=Maiusc+Ctrl+Z|SeeAlso=[[Std_Undo|Undo]]}}
</div>


==Description==

<div class="mw-translate-fuzzy">
==Descriere==
==Descriere==
Această comandă resetează operațiile anulate anterior.
Redoes a previously undone operation.
</div>


<span id="Usage"></span>
<div class="mw-translate-fuzzy">
==Utilizare==
==Utilizare==
#Click on [[Image:Std_Redo.png|32px]] or choose {{KEY| Edit}} → {{KEY|[[Image:Std_Redo.png|32px]] Redo}} from the top menu.
#Deschideți meniul '''Modify''', click pe [[Image:Std_Redo.png|32px]] sau alegeți {{KEY| Edit}} → {{KEY|[[Image:Std_Redo.png|32px]] Redo}} din meniul de sus/top.

o altă posibilitate este utilizare acombinației de taste {{KEY|CTRL+Y}}.

Cu fiecare clic al mouse-ului sau combinația de taste, ultima operație anulată este restaurată înapoi.

Numărul de operațiuni care pot fi modificate poate fi definit în '''Modifica → Preferenze → Generale → Documento'''. În mod implicit, pot fi restaurate ultimele "" 20 "" de operațiuni modificate.

[[Image:PreferenzeAnnulla.png|Menu_Annulla_Ripristina]]
</div>

# There are several ways to invoke the command:
#* Press the {{Button|[[Image:Std_Redo.svg|16px]] [[Std_Redo|Std Redo]]}} button.
#* Select the {{MenuCommand|Edit → [[Image:Std_Redo.svg|16px]] Redo}} option from the menu.
#* Use the keyboard shortcut: {{KEY|Ctrl}}+{{KEY|Y}}.

==Options==

* To redo multiple actions click on the black down arrow to the right of the {{Button|[[Image:Std_Redo.svg|16px]] [[Std_Redo|Std Redo]]}} button and select from the list.

==Preferences==

* The Undo/Redo functionality can be disabled by setting {{MenuCommand|Tools → Edit parameters... → BaseApp → Preferences → Document → UsingUndo}} to {{FALSE}}, but this is not recommended. This setting can also be changed in the [[Preferences_Editor#Document|Preferences Editor]].
* The maximum number of Undo/Redo steps is controlled by {{MenuCommand|Tools → Edit parameters... → BaseApp → Preferences → Document → MaxUndoSize}}. This setting can also be changed in the [[Preferences_Editor#Document|Preferences Editor]].

==Scripting==

{{Emphasis|See also:}} [[FreeCAD_Scripting_Basics|FreeCAD Scripting Basics]].

To redo an action that has just been undone use the {{incode|redo}} method of the document object.

{{Code|code=
import FreeCAD


FreeCAD.ActiveDocument.redo()
==Limitations==
}}
<br />


{{Docnav
==Notes==
|[[Std_Undo|Undo]]
<br />
|[[Std_Cut|Cut]]
|[[Std_Edit_Menu|Std Edit Menu]]
|IconL=Std_Undo.svg
|IconR=Std_Cut.svg
|IconC=Freecad.svg
}}


{{Std Base navi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}
{{clear}}
{{clear}}

Latest revision as of 14:13, 3 February 2023

Std Redo

Menu location
Edit → Redo‏‎
Workbenches
All
Default shortcut
Maiusc+Ctrl+Z
Introduced in version
-
See also
Undo

Description

Descriere

Această comandă resetează operațiile anulate anterior.

Utilizare

  1. Deschideți meniul Modify, click pe sau alegeți Edit Redo din meniul de sus/top.

o altă posibilitate este utilizare acombinației de taste CTRL+Y.

Cu fiecare clic al mouse-ului sau combinația de taste, ultima operație anulată este restaurată înapoi.

Numărul de operațiuni care pot fi modificate poate fi definit în Modifica → Preferenze → Generale → Documento. În mod implicit, pot fi restaurate ultimele "" 20 "" de operațiuni modificate.

Menu_Annulla_Ripristina

  1. There are several ways to invoke the command:
    • Press the Std Redo button.
    • Select the Edit → Redo option from the menu.
    • Use the keyboard shortcut: Ctrl+Y.

Options

  • To redo multiple actions click on the black down arrow to the right of the Std Redo button and select from the list.

Preferences

  • The Undo/Redo functionality can be disabled by setting Tools → Edit parameters... → BaseApp → Preferences → Document → UsingUndo to false, but this is not recommended. This setting can also be changed in the Preferences Editor.
  • The maximum number of Undo/Redo steps is controlled by Tools → Edit parameters... → BaseApp → Preferences → Document → MaxUndoSize. This setting can also be changed in the Preferences Editor.

Scripting

See also: FreeCAD Scripting Basics.

To redo an action that has just been undone use the redo method of the document object.

import FreeCAD

FreeCAD.ActiveDocument.redo()